<?php

function turitor_fw_ext_backups_demos( $demos ) {

	$demo_content_installer	 = 'https://demo-themewinter.com/demo-content/turitor';
	$demos_array			 = array(
		    'default'			 => array(
				'title'			 => esc_html__( 'LearnPress Main Demo (1-6)', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/default/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'classic'			 => array(
				'title'			 => esc_html__( 'LearnPress Classic', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/classic/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'homertl'			 => array(
				'title'			 => esc_html__( 'LearnPress Default RTL Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/homertl/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'tutor'			 => array(
				'title'			 => esc_html__( 'Tutor LMS Main Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/tutor/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'tutor_classic'			 => array(
				'title'			 => esc_html__( 'Tutor LMS Classic Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/tutor_classic/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'learndash'			 => array(
				'title'			 => esc_html__( 'Learndash Main Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/learndash/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'learndash_classic'			 => array(
				'title'			 => esc_html__( 'Learndash Classic Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/learndash_classic/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
			'education'			 => array(
				'title'			 => esc_html__( 'University Demo (1-2)', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/education/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
		    'kindergarten'			 => array(
				'title'			 => esc_html__( 'Kindergarten Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/kindergarten/screenshot.png',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
		    'coursehub'			 => array(
				'title'			 => esc_html__( 'Coursehub Demo', 'turitor' ),
				'screenshot'	 => esc_url( $demo_content_installer ) . '/coursehub/screenshot.jpg',
				'preview_link'	 => esc_url( 'https://themeforest.net/user/tripples/portfolio' ),
			),
	);
	
	$download_url = esc_url( $demo_content_installer ) . '/manifest.php';
	foreach ( $demos_array as $id => $data ) {
		$demo						 = new FW_Ext_Backups_Demo( $id, 'piecemeal', array(
			'url'		 => $download_url,
			'file_id'	 => $id,
		) );
		$demo->set_title( $data[ 'title' ] );
		$demo->set_screenshot( $data[ 'screenshot' ] );
		$demo->set_preview_link( $data[ 'preview_link' ] );
		$demos[ $demo->get_id() ]	 = $demo;
		unset( $demo );
	}

	return $demos;
}

add_filter( 'fw:ext:backups-demo:demos', 'turitor_fw_ext_backups_demos' );

function turitor_after_succeess_restore_demo($obj) {

	if(method_exists($obj, 'get_id')){
		// this tables data will be export and import
		$tutitor_tables = ['users','usermeta'];
		
		global $wp_filesystem;
    	require_once ( ABSPATH . '/wp-admin/includes/file.php' );
		WP_Filesystem();
	
		$id = $obj->get_id();
		$title = $obj->get_title();
		
		// content backup after success action
		if($id == 'full-backup' || $id=='content-backup') {
			
			$demo_file_path =  TURITOR_CORE.  '/installation-fragments/demo.txt';
			$turitor_demo_data = turitor_demo_data_export($tutitor_tables);
			$content = $wp_filesystem->put_contents( $demo_file_path, $turitor_demo_data);
		
		}

		// after demo install success action
		if($id=='demo-content-install'){
			
		     	$remote_demo_file = 'https://demo-themewinter.com/demo-content/turitor/demo.txt';
				if ( turitor_remote_file_exists($remote_demo_file) ) {
					
					$request = turitor_get_remote_demo_data($remote_demo_file);
					if( !is_wp_error( $request ) ) {
						$body = wp_remote_retrieve_body( $request );
						$return_data = turitor_demo_content_unserialize($body);
					}

					if(is_array($return_data) && count($return_data)){
						turitor_database_table_data_import($return_data);
					}
			    }		
		} 

	}
	
	return $obj;
}

add_action('fw:ext:backups:tasks:success','turitor_after_succeess_restore_demo');

function demo_license_content() {
	?>
	<div class="license-wrap">
		<h2 class="license-title"><?php esc_html_e( 'Please Activate Your License', 'turitor' ); ?></h2>
		<div class="license-desc">
			<div class="notice-icon">
				<svg width="17" height="18" viewBox="0 0 17 18" fill="none" xmlns="http://www.w3.org/2000/svg">
					<path d="M8.27148 5.6001V9.80009" stroke="#FF7129" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
					<path d="M15.536 6.26402V11.736C15.536 12.632 15.056 13.464 14.28 13.92L9.52801 16.664C8.75201 17.112 7.792 17.112 7.008 16.664L2.256 13.92C1.48 13.472 1 12.64 1 11.736V6.26402C1 5.36802 1.48 4.53599 2.256 4.07999L7.008 1.336C7.784 0.888 8.74401 0.888 9.52801 1.336L14.28 4.07999C15.056 4.53599 15.536 5.36002 15.536 6.26402Z" stroke="#FF7129" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
					<path d="M8.27148 12.3599V12.4399" stroke="#FF7129" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
				</svg>
			</div>
			<p>
			<?php 
				echo turitor_kses('In order to get regular update, support and demo content, you must activate the theme license. Please  <a href="'. admin_url('themes.php?page=license') .'">Goto License Page</a> and activate the theme license as soon as possible.	','turitor');
			?>
			</p>
		</div>
	</div>
	<?php
}

function set_license_menu() {
	if ( theme_is_valid_license() ) {
		return;
	}

	remove_submenu_page('tools.php', 'fw-backups-demo-content');
	$page = isset( $_GET['page'] ) ? sanitize_text_field( $_GET['page'] ) : '';

	if ( 'fw-backups-demo-content' === $page ) {
		// wp_die('Sorry, you are not allowed to access this page', '');
		wp_redirect(admin_url("themes.php?page=license"));
	}

	add_submenu_page(
		'tools.php',
		'Demo Content Install',
		'Demo Content Install',
		'manage_options',
		'demo-content',
		'demo_license_content'
	);
}

add_action('admin_menu', 'set_license_menu', 999);






